/*======================================================================+
| PGPC: Parallel Genetic Programming in C                               |
| (c) 1995 Genetic Algorithm Technology Corp. all rights reserved       |
|   written by David Andre                                              |
+======================================================================*/
/*======================================================================+
| FILE: bnmproto.h                                                      |
| DESCRIPTION: bossnode function prototype.                             |
|                                                                       |       
| REVISIONS:                                                            |
| Jan 24, 1995:  Works as of today, no known bugs.                      |
+======================================================================*/

void bn_mon_print_cmd_opt(FILE *dest);                  /* bnmproto.h */
void bn_mon_getcmd(char *inbuf, int bufsiz);             /* bnmproto.h */
char *bn_mon_msg_decode(                                    /* bnmproto.h */
        char    *inbuf,                                     /* bnmproto.h */
        MSGHDRTYPE *coded_command,                             /* bnmproto.h */
        int     msgsize);                               /* bnmproto.h */
void bn_mon_cmd_decode(                                     /* bnmproto.h */
        char *inbuf,                                        /* bnmproto.h */
        MSGHDRTYPE *coded_command);                        /* bnmproto.h */
int bn_mon_lookup_cmd(char cmdkey);                     /* bnmproto.h */
int bn_bogus_cmd(MSGHDRTYPE *coded_command);               /* bnmproto.h */
int bn_mon_cmd_set_member(MSGHDRTYPE   code);                 /* bnmproto.h */
void bn_mon_cmd_exec(                                      /* bnmproto.h */
            MSGHDRTYPE *coded_command,                        /* bnmproto.h */
            Channel **to_meshnode,                         /* bnmproto.h */
            int     *started,                              /* bnmproto.h */
            int     number_of_meshnodes);              /* bnmproto.h */
void bn_mon_print_help(void);                               /* bnmproto.h */
void bn_mon_msg_exec(                                       /* bnmproto.h */
                Channel *inchan,                            /* bnmproto.h */
                int     nodenum,                            /* bnmproto.h */
                MSGHDRTYPE *inmsg,                          /* bnmproto.h */
                FILE    *report_out,                        /* bnmproto.h */
                GraphicInfo *graph_info);                   /* bnmproto.h */
int bn_mon_is_topoint_cmd(MSGHDRTYPE *coded_command);     /* bnmproto.h */
int bn_mon_valid_mesh_point(                               /* bnmproto.h */
        MSGHDRTYPE *coded_command,                            /* bnmproto.h */
        int     number_of_meshnodes);                  /* bnmproto.h */











