/*======================================================================+
| PGPC: Parallel Genetic Programming in C                               |
| (c) 1995 Genetic Algorithm Technology Corp. all rights reserved       |
|   written by David Andre                                              |
+======================================================================*/
/*======================================================================+
| FILE: gpi_stub.h                                                      |
| DESCRIPTION: Function prototypes for gpi_stub.c.                      |
|                                                                       |       
| REVISIONS:                                                            |
| Jan 24, 1995:  Works as of today, no known bugs.                      |
+======================================================================*/


void gpi_PopCreation(Population * pop); /*funcdef*/
void gpi_EvaluateGeneration(int gen,Population *popptr); /*funcdef*/
void gpi_ReproducePopulation(int counter); /*funcdef*/
void gpi_DoEndOfGenMessage(int counter, Population * pop); /*funcdef*/
void gpi_DoEurekaMessage(int counter, Population * pop,time_t clck); /*funcdef*/
void gpi_SendTrace(char * str);         /*funcdef*/
void gpi_SendError(char *str);          /*funcdef*/



