/*======================================================================+
| PGPC: Parallel Genetic Programming in C                               |
| (c) 1995 Genetic Algorithm Technology Corp. all rights reserved       |
|   written by David Andre                                              |
+======================================================================*/
/*======================================================================+
| FILE: gpiproto.h                                                      |
| DESCRIPTION: Function prototype for gpi.c.                            |
|                                                                       |       
| REVISIONS:                                                            |
| Jan 24, 1995:  Works as of today, no known bugs.                      |
+======================================================================*/


int gpi_select_colonist(                                    /* gpiproto.h */
            poptype popptr,                                 /* gpiproto.h */
            PROGRAMTYPE *bufptr);                           /* gpiproto.h */
int gpi_induct_immigrant(                                   /* gpiproto.h */
            poptype popptr,                                 /* gpiproto.h */
            PROGRAMTYPE *bufptr);                           /* gpiproto.h */
void gpi_population_setup(                                  /* gpiproto.h */
            poptype *popptr, int whoiam,                    /* gpiproto.h */
            Channel *breedertomonchan,                      /* gpiproto.h */
            Channel *montobreederchan);                     /* gpiproto.h */
void gpi_eval_generation(                                   /* gpiproto.h */
            int whoiam, poptype popptr,                     /* gpiproto.h */
            Channel *breedertomonchan,                      /* gpiproto.h */
            Channel *montobreederchan);                     /* gpiproto.h */
void gpi_breed_new_population(                              /* gpiproto.h */
            poptype popptr,                                 /* gpiproto.h */
            Channel *breedertomonchan,                      /* gpiproto.h */
            Channel *montobreederchan);                     /* gpiproto.h */
